/*
 * Infra Red protocols decoder
 * Author: Piotr Wjtowicz
 * 2016-2017
 * pw@elportal.pl
 */

#ifndef SIRCDEC_H_INCLUDED
#define SIRCDEC_H_INCLUDED

#include "irdecoder.h"
#define SIRC_SCALE (128/2)
#define SIRC_PREAMBLE_HI (2400/SIRC_SCALE)
#define SIRC_PREAMBLE_LOW (600/SIRC_SCALE)
#define SIRC_MAXT (16383/SIRC_SCALE)
#define SIRC_T1 (600/SIRC_SCALE)
#define SIRC_T2 (1200/SIRC_SCALE)
#define SIRC_EPS (256/SIRC_SCALE)

void sircPreLstate();
void sircLstate();
void sircL1state();
void sircL2state();
void sircH1state();
void sircPostambleState();
void sircAddBit(uint8_t bitValue);

#endif // SIRCDEC_H_INCLUDED
